[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'TaskDlgEmulation' (#lcl)

# TLCLTaskDialog.CreateNew

Alternate constructor for the class instance.

## Declaration

Source position: taskdlgemulation.pp line 168

`public constructor TLCLTaskDialog.CreateNew(`
`AOwner: TComponent;`
`Num: Integer = 0`
`); override;`

## Arguments

`AOwner` |  | Owner of the class instance.
`Num` |  | Instance sequence number for the new class instance. Included as a suffix in the Name for the class.

## Description

CreateNew is an overridden constructor in TLCLTaskDialog. It is the alternate constructor called when creating a form instance which does not have an associated resource file (.lfm). It extends the inherited method to assign the value in AOwner to the internal TTaskDialog member for the class instance.

CreateNew calls the inherited method to configure and initialize the dialog form instance. It sets the default values for internal members and properties like KeyPreview (True).

## See also

TCustomForm.CreateNew |  | Creates a form instance without a resource (.lfm) file.
TForm.KeyPreview |  | Allows the form to intercept keystrokes in child controls.